# IRsIconGenFactory Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | CreateInstance ([in] const IID riid,[out, retval] IRsUIControl **ppUIControl)
HRESULT | CreateAggInstance ([in] IUnknown *pUnkOuter,[in] const IID riid,[out, retval] IUnknown **ppvObject)
HRESULT | EnumUIControlDesc ([out, retval] IRsEnumUIControlDesc **ppEnumUIControlDesc)

## Detailed Description

The IRsIconGenFactory interface provides methods that allow you work with icon generator package.

## Member Function Documentation

HRESULT IRsIconGenFactory::CreateInstance | ( | [in] const IID | riid,
|  | [out, retval] IRsUIControl ** | ppUIControl |
| ) |  |  |

Creates an uninitialized UI control object.

Parameters:

  | riid | [in] Reference to the identifier of the UI control.

Returns:
  ppUIControl [out, retval] Address of UI control Interface variable that receives the interface pointer to newly created object.

  This method supports the standard return values E_INVALIDARG, E_OUTOFMEMORY, and E_UNEXPECTED, as well as the following:

  S_OK The specified object was created.

  E_NOTIMPL This command factory does not support instancing nodes.

HRESULT IRsIconGenFactory::CreateAggInstance | ( | [in] IUnknown * | pUnkOuter,
|  | [in] const IID | riid,
|  | [out, retval] IUnknown ** | ppvObject |
| ) |  |  |

Creates an uninitialized UI control object that is part of an aggregate.

Parameters:

  | pUnkOuter | [in] pointer to the controlling IUnknown interface of the aggregate.
  | riid | [in] Reference to the identifier of the UI control.

Returns:
  ppvObject [out, retval] Address of UIControl Interface variable that receives the interface pointer to newly created object.

  This method supports the standard return values E_INVALIDARG, E_OUTOFMEMORY, and E_UNEXPECTED, as well as the following:

  S_OK The specified object was created.

  E_NOTIMPL This node factory does not support instancing aggregated nodes.

HRESULT IRsIconGenFactory::EnumUIControlDesc | ( | [out, retval] IRsEnumUIControlDesc ** | ppEnumUIControlDesc | ) |

Enumerates UI control's descriptors available in current factory object.

Parameters:

  | ppEnumUIControlDesc | [out, retval] Pointer to an IRsEnumUIControlDesc interface.

Returns:
  S_OK Method succeeded.

  E_NOTIMPL This command factory does not support enumeration of UIControl's descriptors.